Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.jsi
Class TCPProvider

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.comm.jsi.TCPProvider

public final class TCPProvider
extends java.lang.Object
implements JSIProvider

A straight forward implementation of a JSIProvider running over TCP.

Constructor Summary
`TCPProvider(int port)` Construct a TCPProvider thats listening on the given port.

Method Summary
`void` | `detach()` Detach from whatever rendezvous point is in use.
`void` | `handle(JSIConnectionHandler jch)` The main loop of the provider.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCPProvider

    public TCPProvider(int port)
                throws java.io.IOException

  Construct a TCPProvider thats listening on the given port.
  Parameters:
    `port` - The port to listen for connections.

Method Detail

### detach

    public void detach()

  Description copied from interface: JSIProvider
  Detach from whatever rendezvous point is in use.
  Specified by:
    detach in interface JSIProvider

### handle

    public void handle(JSIConnectionHandler jch)

  Description copied from interface: JSIProvider
  The main loop of the provider. Any connections it receives will be handed off to the JSIConnectionHandler.
  Specified by:
    handle in interface JSIProvider
  Tags copied from interface: JSIProvider
  Parameters:
    `jch` - The handler to call when a new connection is received.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002